---
title: "List SOWs for a project"
description: "Returns all Statements of Work belonging to the given project"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.testandaccept.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Test And Accept API › Projects

`GET /projects/{id}/sows`

Returns all Statements of Work belonging to the given project

## Authentication

- `bearerAuth`, http, header `Authorization`, format `tnda_ token`

## Path parameters

- `id` (`projects-listSows.path.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.testandaccept.com/api/rest/projects/<id>/sows' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.testandaccept.com/api/rest/projects/<id>/sows';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.testandaccept.com/api/rest/projects/<id>/sows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Successful response

#### Example

```json
{
  "sows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "description": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "ownerUserId": "string",
      "organizationId": "string",
      "status": "string",
      "currentVersion": 0,
      "orderIndex": 0,
      "isArchived": true,
      "isPinned": true,
      "dueDate": "2019-08-24T14:15:22Z",
      "archivedAt": "2019-08-24T14:15:22Z",
      "pinnedAt": "2019-08-24T14:15:22Z",
      "primaryContactId": "6995e343-1ae2-4fcb-a7c9-3e426dba8dc0",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
```

- `sows` (`projects-listSows.response.200.sows`; array<object>, required)
  - `id` (`projects-listSows.response.200.sows.id`; string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
  - `title` (`projects-listSows.response.200.sows.title`; string, required)
  - `description` (`projects-listSows.response.200.sows.description`; any of, required)
    - any of: `string`, `null`
  - `projectId` (`projects-listSows.response.200.sows.projectId`; any of, required)
    - any of: `string`, `null`
  - `ownerUserId` (`projects-listSows.response.200.sows.ownerUserId`; string, required)
  - `organizationId` (`projects-listSows.response.200.sows.organizationId`; any of, required)
    - any of: `string`, `null`
  - `status` (`projects-listSows.response.200.sows.status`; string, required)
  - `currentVersion` (`projects-listSows.response.200.sows.currentVersion`; number, required)
  - `orderIndex` (`projects-listSows.response.200.sows.orderIndex`; number, required)
  - `isArchived` (`projects-listSows.response.200.sows.isArchived`; boolean, required)
  - `isPinned` (`projects-listSows.response.200.sows.isPinned`; boolean, required)
  - `dueDate` (`projects-listSows.response.200.sows.dueDate`; any of, required)
    - any of: `string`, `null`
  - `archivedAt` (`projects-listSows.response.200.sows.archivedAt`; any of, required)
    - any of: `string`, `null`
  - `pinnedAt` (`projects-listSows.response.200.sows.pinnedAt`; any of, required)
    - any of: `string`, `null`
  - `primaryContactId` (`projects-listSows.response.200.sows.primaryContactId`; any of, required)
    - any of: `string`, `null`
  - `createdAt` (`projects-listSows.response.200.sows.createdAt`; string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
  - `updatedAt` (`projects-listSows.response.200.sows.updatedAt`; string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
- `total` (`projects-listSows.response.200.total`; number, required)

### 400

Invalid input data

#### Example

```json
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
```

- `message` (`projects-listSows.response.400.message`; string, required) — The error message
  - example `"Invalid input data"`
- `code` (`projects-listSows.response.400.code`; string, required) — The error code
  - example `"BAD_REQUEST"`
- `issues` (`projects-listSows.response.400.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-listSows.response.400.issues.message`; string, required)

### 401

Authorization not provided

#### Example

```json
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
```

- `message` (`projects-listSows.response.401.message`; string, required) — The error message
  - example `"Authorization not provided"`
- `code` (`projects-listSows.response.401.code`; string, required) — The error code
  - example `"UNAUTHORIZED"`
- `issues` (`projects-listSows.response.401.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-listSows.response.401.issues.message`; string, required)

### 403

Insufficient access

#### Example

```json
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
```

- `message` (`projects-listSows.response.403.message`; string, required) — The error message
  - example `"Insufficient access"`
- `code` (`projects-listSows.response.403.code`; string, required) — The error code
  - example `"FORBIDDEN"`
- `issues` (`projects-listSows.response.403.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-listSows.response.403.issues.message`; string, required)

### 404

Not found

#### Example

```json
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
```

- `message` (`projects-listSows.response.404.message`; string, required) — The error message
  - example `"Not found"`
- `code` (`projects-listSows.response.404.code`; string, required) — The error code
  - example `"NOT_FOUND"`
- `issues` (`projects-listSows.response.404.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-listSows.response.404.issues.message`; string, required)

### 500

Internal server error

#### Example

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
```

- `message` (`projects-listSows.response.500.message`; string, required) — The error message
  - example `"Internal server error"`
- `code` (`projects-listSows.response.500.code`; string, required) — The error code
  - example `"INTERNAL_SERVER_ERROR"`
- `issues` (`projects-listSows.response.500.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-listSows.response.500.issues.message`; string, required)


Source: https://docs.testandaccept.com/reference/projects/list-sows/index.md
